Bug 182066 - GFS with default ACL on new folder is not applied ?!
Summary: GFS with default ACL on new folder is not applied ?!
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-kmod   
(Show other bugs)
Version: 5.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Abhijith Das
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-20 03:40 UTC by Andrey
Modified: 2010-01-12 03:23 UTC (History)
0 users

Fixed In Version: RHBA-2006-0561
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:35:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0561 normal SHIPPED_LIVE GFS-kernel bug fix update 2006-08-10 04:00:00 UTC

Description Andrey 2006-02-20 03:40:03 UTC
Description of problem:     
GFS with default ACL on new folder is not applied.    
     
Version-Release number of selected component (if applicable):     
kernel-2.6.9-22.0.2.ELsmp      
GFS-kernel-smp-2.6.9-45.0.2      
GFS-6.1.3-0      
libacl-2.2.23-5   
acl-2.2.23-5   
   
How reproducible:     
   Obligatory condition - a new folder, use default ACL. 
    The mistake generates only once. 
    Then any actions with ACL above a folder are always successful. 
 
Steps to Reproduce: 
1. I use GFS with ACL     
    # mount | grep gfs     
    /dev/sda5 on /home type gfs (rw,noatime,acl)      
     
2.  # cd /home      
    # mkdir test_acl      
     
    If now to apply default ACL on folder we receive a errors.      
    # setfacl -d -m g:dc_local:rwx test_acl/      
    setfacl: test_acl: Operation not permitted      
     
3.  After that the same without errors!?      
    # setfacl -d -m g:dc_local:rwx test_acl/      
    # getfacl test_acl      
      
# file: test_acl      
# owner: root      
# group: root      
user::rwx      
group::r-x      
other::r-x      
default:user::rwx      
default:group::r-x      
default:group:dc_local:rwx      
default:mask::rwx      
default:other::r-x      
       
Actual results:     
     
     
Expected results:     
     
     
Additional info: 
     The mistake generates only once. 
     Then any actions with ACL above a folder are always successful.

Comment 1 Abhijith Das 2006-03-13 22:23:24 UTC
Committed fix to RHEL4 and STABLE cvs branches. The return code while setting
default ACLs was not being propagated. Instead an EPERM was being returned all
the time.

Comment 4 Red Hat Bugzilla 2006-08-10 21:35:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0561.html


Comment 5 Nate Straz 2007-12-13 17:42:29 UTC
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Comment 6 Nate Straz 2007-12-19 20:06:29 UTC
Moving all closed bugs to gfs-kmod to match the rpm name.  GFS-kernel will be
removed.


Note You need to log in before you can comment on or make changes to this bug.